Update Microsoft Teams connection configuration
curl --request PATCH \
--url https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>",
"defaultProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration"
payload = {
"organizationId": "<string>",
"defaultProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
organizationId: '<string>',
defaultProjectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'organizationId' => '<string>',
'defaultProjectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration"
payload := strings.NewReader("{\n \"organizationId\": \"<string>\",\n \"defaultProjectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration")
.header("Content-Type", "application/json")
.body("{\n \"organizationId\": \"<string>\",\n \"defaultProjectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"organizationId\": \"<string>\",\n \"defaultProjectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Integrations
Update Microsoft Teams connection configuration
Update a Microsoft Teams connection’s configuration. Omitted fields are left unchanged.
PATCH
https://api.sazabi.com/v1
/
integrations
/
connections
/
{connectionId}
/
microsoft-teams-configuration
Update Microsoft Teams connection configuration
curl --request PATCH \
--url https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>",
"defaultProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration"
payload = {
"organizationId": "<string>",
"defaultProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
organizationId: '<string>',
defaultProjectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'organizationId' => '<string>',
'defaultProjectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration"
payload := strings.NewReader("{\n \"organizationId\": \"<string>\",\n \"defaultProjectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration")
.header("Content-Type", "application/json")
.body("{\n \"organizationId\": \"<string>\",\n \"defaultProjectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-configuration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"organizationId\": \"<string>\",\n \"defaultProjectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Path Parameters
Microsoft Teams integration connection ID (the integration_connections.id).
Body
application/json
Organization the connection belongs to. Auto-filled from CLI and SDK context when omitted.
Minimum string length:
1Project bot mentions run in when no channel mapping matches. Must belong to the organization. Pass null to clear it (mentions then run in the organization's primary project). Omit to leave unchanged.